#include <bits/stdc++.h>
#define maxnum 2*100004
typedef long long ll;

using namespace std;

//ll prefsum[maxnum];


bool sortrev(const pair<double,int> &a,  const pair<double,int> &b)
{
  return (a.first > b.first);
}


int main(){
    ios::sync_with_stdio(0);cin.tie(0);cout.tie(0);

    ll n;
    cin>>n;
    vector<pair<double,int>> v(n);
    vector<double> dolari(n);
    vector<int> prefsum(n);

    for(int i=0;i<n;i++){
        cin>>v[i].second;
        cin>>v[i].first;
    }

    sort(v.begin(), v.end(), sortrev);
//    for(int i=0;i<n;i++) cout<<"\n"<<v[i].first<<" "<<v[i].second<<"\n";

    prefsum[0]=v[0].second;

    for(int i=1;i<n;i++){
        prefsum[i] = prefsum[i-1] + v[i].second;
    }

//    for(int i=0;i<n;i++) cout<<"\n"<<prefsum[i];

    for(int i=0;i<n;i++){
        dolari[i] = prefsum[i] * v[i].first;
    }
    sort(dolari.begin(),dolari.end());

    cout<<dolari[n-1];



    return 0;
}